Home > Uncategorized > Usando Qemu+Kqemu

Usando Qemu+Kqemu

Estive tendo problemas com o Vmware e o vmware-player em minha máquina do trabalho e constantemente preciso testar regras do firewall simulando máquinas na minha rede interna ( rede dos orea seca ) ou testar novas aplicações sem afetar minha máquina.
Então resolvi instalar o Qemu+Kqemu, pesquisando na wiki page de documentação do Ubuntu encontrei um how to muito legal, nele havia um script criado pelo andrejkw que fazia todo o trabalho “sujo” só que no Breezy e no Dapper.
Aos troncos e barrancos consegui instalar o bicho, aproveitei para dar uma guaribada no script e o adaptei para o Edgy Eft.

Quem quiser instalar o Qemu+Kqemu+DHCP Patch clique aqui.

Se quiser um gerenciador gráfico para o Qemu clique aqui

Agora alguns comando básicos

Para criar uma imagem com 1G

qemu-img create imagem.img 1G

Para iniciar o Qemu com suporte a cdrom, kqemu e com 512 Mb de ram

qemu -localtime -hda imagem.img -cdrom /dev/cdrom -boot d -kernel-kqemu -m 512M

Essa é para quem for instalar o W2k/WinXP

qemu -localtime -hda imagem.img -cdrom /dev/cdrom -boot d -kernel-kqemu -m 512M -win2k-hack

Para quem estiver usando o gerenciador gráfico os comandos -kernel-kqemu e -win2k-hack devem ser adicionados no campo argumento adicional da aba emulador

Categories: Uncategorized Tags:
  1. Alfonso Coisa
    11/30/2006 at 12:52 AM

    Caro Penguim.
    Estou tendo problemas em executar o scrip de instalação do Qemu+Kqemu+DHCP Patch que está disponível para download neste post.
    Consigo instalar todas as dependências, mas ao final diz: “ERROR: Unable to find appropriate Kernel Headers for your Kernel.”
    Mas tenho os headers instalados.
    Poderias me ajudar? Um abraço.

  2. 11/30/2006 at 2:57 PM

    Qual sua arquitetura?

    Me informe o que aparece quando você executa o comando

    $ uname -r

    Forte abraço.

  3. Wagner Pereira
    01/10/2007 at 10:33 PM

    # uname -r
    2.6.17-10-generic

  4. Gilmar Alexandre
    01/12/2007 at 11:09 AM

    Erro ao executar o script no 6.10 Edgy Eft

    gilmar@Mazuka:~$ sudo ./install_qemu.sh
    -ne \E[31m
    ERROR: You must run this script as root!
    gilmar@Mazuka:~$ uname -r
    2.6.17-10-386
    gilmar@Mazuka:~$

    Existe outra forma de instalar nesta versão??

  5. 05/21/2007 at 11:29 AM

    Muito bom o artigo. Só não consigo instalar o win98 de uma pasta do hd real.

  1. 05/19/2008 at 1:56 PM

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: